Add item to restock plan
curl --request POST \
--url https://app.solya.app/api/restock-plans/{planId}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quantity": 12,
"shopId": "shop-uuid-paris-opera",
"sizeId": "sz-uuid-43",
"variantId": "var-uuid-adidas-stan"
}
'import requests
url = "https://app.solya.app/api/restock-plans/{planId}/items"
payload = {
"quantity": 12,
"shopId": "shop-uuid-paris-opera",
"sizeId": "sz-uuid-43",
"variantId": "var-uuid-adidas-stan"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quantity: 12,
shopId: 'shop-uuid-paris-opera',
sizeId: 'sz-uuid-43',
variantId: 'var-uuid-adidas-stan'
})
};
fetch('https://app.solya.app/api/restock-plans/{planId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"itemId": "rsi-uuid-002"
}Restock
Add item to restock plan
Adds a product variant/size/shop combination to a restock plan.
POST
/
api
/
restock-plans
/
{planId}
/
items
Add item to restock plan
Authorizations
User session token issued by NextAuth. For human users accessing Solya via the web application.
Path Parameters
Restock plan identifier
Minimum string length:
1Body
application/json
⌘I

